import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "Docker Docs",
  description: "使用手册",
  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: '家', link: '/' },
      { text: '官网', link: 'https://docs.docker.com' }
    ],

    sidebar: {
      '/': [
        {
          text: "引擎",
          link: '/docs/engine/',
          items: [
            {
              text: '安装', 
              collapsed: true,
              link: '/docs/engine/about',
              items: [
                { text: "Ubuntu", link: '/docs/engine/ubuntu' },
                { text: "Debian", link: '/docs/engine/debian' },
              ]
            },
            //============================= 存储
            { 
              text: '存储', 
              collapsed: true,
              link: '/docs/storage/',
              items: [
                { text: "卷", link: '/docs/storage/volume' },
                { text: "绑定挂载", link: '/docs/storage/mount' },
                { text: "tmpfs 挂载", link: '/docs/storage/tmpfs-bind' },
                { 
                  text: "存储驱动程序", 
                  collapsed: true,
                  link: '/docs/storage/drivers/',
                  items: [
                    { text: "选择存储驱动程序", link: '/docs/storage/drivers/select-storage-driver' },
                    { text: "BTRFS 存储驱动程序", link: '/docs/storage/drivers/btrfs-driver/' },
                    { text: "设备映射器存储驱动程序（已弃用）", link: '/docs/storage/drivers/device-mapper-driver/'},
                    { text: "OverlayFS 存储驱动程序", link: '/docs/storage/drivers/overlayfs-driver/'},
                    { text: "VFS 存储驱动程序", link: '/docs/storage/drivers/vfs-driver/'},
                    { text: "WindowsFilter 存储驱动程序", link: '/docs/storage/drivers/windowsfilter-driver/'},
                    { text: "ZFS 存储驱动程序", link: '/docs/storage/drivers/zfs-driver/'},
                  ]
                },
                { text: 'containerd 映像存储', link: '/docs/storage/container-image-store' }
              ]
            },
            //============================= 网络
            {
              text: "网络",
              collapsed: true,
              link: '/docs/network/',
              items: [
                {text: '数据包过滤和防火墙', link: '/docs/network/packet-filtering-firewalls'}
              ]
            }
          ]
        }
      ],
    },
    

    socialLinks: [
      // { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ]
  }
})
