<script setup>
  import NavList from '/components/navBtn.vue'
  const nav_lists =[
    {
      href: "/docs/engine/about",
      title: '安装Docker引擎',
      desc: '学习如何为你的发行版安装开源的Docker引擎。'
    },
    {
      href: "/docs/storage/",
      title: '存储',
      desc: '使用Docker容器和持久化数据。'
    },
    {
      href: "/docs/network/",
      title: '网络',
      desc: '管理容器之间的网络连接。'
    },
    {
      href: "baidu.com",
      title: '容器日志',
      desc: '学习如何查看和读取容器日志'
    },
    {
      href: "baidu.com",
      title: '修剪',
      desc: '清理未使用的资源。'
    },
    {
      href: "baidu.com",
      title: '配置守护进程',
      desc: '深入了解Docker守护进程的配置选项。'
    },
    {
      href: "baidu.com",
      title: '无根模式',
      desc: '以非 root 权限运行Docker。'
    },
    {
      href: "baidu.com",
      title: '已弃用特性',
      desc: '找出你应该停止使用 Docker Engine 的哪些功能。'
    },
    {
      href: "baidu.com",
      title: '发布说明',
      desc: '阅读最新版本的发布说明。'
    },
  ]
</script>

# Docker Engine

Docker 引擎是一种用于构建和容器化应用程序的开源容器化技术。Docker 引擎作为一个客户端-服务器应用程序，具有以下功能：

- 一台服务器运行着一个长时间守护进程 `dockerd` 。
- 指定程序与 Docker 守护进程进行通信和指令的接口的 API。
- 命令行接口（CLI）客户端 `docker` 。

CLI 使用 Docker API 来通过脚本或直接 CLI 命令控制或与 Docker 守护进程进行交互。许多其他 Docker 应用程序使用底层的 API 和 CLI。守护进程创建和管理 Docker 对象，如镜像、容器、网络和卷。

有关更多详情，请参见 [Docker 架构](https://docs.docker.com/get-started/docker-overview/#docker-architecture)。

<NavList :listData="nav_lists" />



## 许可证
Docker Engine 的许可证是 Apache License 2.0。有关完整许可证条款，请参阅 LICENSE 文件。

然而，对于大型企业（员工人数超过 250 人或年收入超过 1000 万美元）在 Docker Desktop 内部使用的 Docker 引擎的商业用途，需要付费订阅。
