---
outline: [2,5]
---

# WindowsFilter 存储驱动程序

windowsfilter 存储驱动程序是 Windows 上 Docker Engine 的默认存储驱动程序。windowsfilter 驱动程序使用 Windows 原生文件系统层在磁盘上存储 Docker 层和卷数据。windowsfilter 存储驱动程序仅适用于使用 NTFS 格式化的文件系统。

## 配置 windowsfilter 存储驱动程序

对于大多数用例，无需配置 windowsfilter 存储驱动程序。

Windows 上 Docker Engine 的默认存储限制为 127GB。若要使用不同的存储大小，请为 windowsfilter 存储设置 size 选项 司机。看 [windowsfilter 选项])[0]。

默认情况下，数据存储在 Docker 主机上 `C：\ProgramData\docker` 的 `image` 和 `windowsfilter` 子目录中。您可以通过在 [守护进程配置文件][1]：
```bash
{
  "data-root": "d:\\docker"
}
```
您必须重新启动守护程序才能使配置更改生效。

## 其他信息：
有关容器存储在 Windows 上的工作原理的更多信息，请参阅 Microsoft 的 [Windows 上的容器文档][3]。


[0]:https://docs.docker.com/reference/cli/dockerd/#windowsfilter-options
[1]:https://docs.docker.com/reference/cli/dockerd/#on-windows
[3]:https://learn.microsoft.com/en-us/virtualization/windowscontainers/manage-containers/container-storage